Batch Delete Resources
Deletes resources within a schema via the event processor for asynchronous processing. Pass externalIds to delete specific resources. Set cascade to true to also delete referencing resources in other schemas. Set deleteAll to true (externalIds must be empty) to target all resources for the schema — without cascade, any resource referenced by another schema is left in place (not deleted); with cascade, referencing resources in other schemas are also deleted. The batch ID can be used to retrieve the status of the batch using the /api/batches/:batchId endpoint.
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Path Parameters
The name or id of the schema definition the resources belong to
Body
Array of external IDs to delete. Required (non-empty) unless deleteAll is true.
When true, also deletes resources in other schemas that reference the deleted resources.
Must be true to delete ALL resources for the schema. Without cascade, any resource that is referenced by a resource in another schema is left in place (neither it nor the referencing resource is deleted). With cascade, referencing resources in other schemas are also deleted. externalIds must be empty or omitted when deleteAll is true.
When true, returns a synchronous preview of what would be deleted without queueing the job or touching any data. Per-schema deletion counts and the number of resources that would be skipped due to references are included.